{ config, pkgs, ... }:

let
  domain = "files.sondell.org";
in
{
  systemd.services.filebrowser = with pkgs; {
    enable = true;
    description = "web app file explorer";
    wantedBy = [ "multi-user.target" ];
    unitConfig = {
      After="network-online.target";
    };
    serviceConfig = {
      ExecStart = "${filebrowser}/bin/filebrowser -r /mnt/movie_drive -d /var/lib/filebrowser/filebrowser.db";
      User= "jellyfin";
      Type= "simple";
    };
  };


  services.nginx.virtualHosts.${domain} = {
    enableACME = true;
    forceSSL = true;
    locations."/" = {
      proxyPass = "http://localhost:8080/";
      proxyWebsockets = true;
      # extraConfig = ''
      #   access_log /var/log/nginx/access.log main if=$forgejo_access_log;
      # '';
    };
  };
}

